<div class="ui formcontainer" style="padding-top: 10%;">

  <div class="ui grid">
    <div class="five wide column"> </div>
    <div class="six wide column" style="background-color: #a1ce5ad8">
      <div class="ui placeholder segment"  style="background-color: #dff8b4;">
        <div class="column">
          <form [formGroup]= "loginForm" (ngSubmit)="onLogin()" class="ui form" style="border: transparent;">
            <div class="field required" [ngClass]="{error : nameHasErrors() }">
              <label>Username</label>
              <div class="ui left icon input">
                <input type="text" formControlName = "username" placeholder="Enter Username" style="border: 1px solid rgb(78, 184, 56);">
                <i class="user green icon"></i>
              </div>
            </div>

              <div class= "ui negative floating message" *ngIf= "nameHasErrors()">
                <ul>
                  <li *ngFor="let errorMessage of nameErrors()">{{ errorMessage }}</li>
                </ul>
              </div>  

              <div class="field required" [ngClass]="{error : passwordHasErrors() }">
                <label>Password</label>
                <div class="ui left icon input">
                  <input type="password" formControlName = "password" placeholder="Enter Password" style="border: 1px solid rgb(78, 184, 56);">
                  <i class="lock  green icon"></i>
                </div>
              </div>

              <div class= "ui negative floating message" *ngIf= "passwordHasErrors()">
                <ul>
                    <li *ngFor="let errorMessage of passwordErrors()">{{ errorMessage }}</li>
                </ul>
              </div>  
              <button type= "submit" class="ui big button" style="background-color: #61832f; color: white;"> Login </button>
          </form>

          <div class="ui horizontal divider">
            Still don't have an account?
          </div>
          
          <div class="middle aligned column">
            <div class="ui big button" style="background-color:#61832f; color: white;">
              <i class="signup icon"></i>
              <a routerLink="/register"> Sign up </a>
            </div>
            <br>
            <label style="padding-left: 15px"></label>
            <span class="psw"><a routerLink="/"> Not now 😮‍💨 </a></span>
          </div>
        
        </div>
      </div>
    </div>   
  </div>
</div>
